Bug 98362 - error in spec file
Summary: error in spec file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: alpha 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-07-01 18:04 UTC by Gerald Teschl
Modified: 2015-01-04 22:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 04:49:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerald Teschl 2003-07-01 18:04:22 UTC
The script

find $RPM_BUILD_ROOT/usr/src/linux-%{KVERREL} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

in the kernel spec file will replace

.PRECIOUS:      /usr/src/linux-2.4.21-2gt/include/asm/apicdef.h

by

/usr/src/linux-2.4.21-2gt/include/asm/apicdef.h

and hence corrupt the corresponding file. Probaly the sed should read

sed -e "s|$RPM_BUILD_ROOT||g" < $file.old > $file


Note You need to log in before you can comment on or make changes to this bug.